Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Interface DocumentRoot

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  DocumentRootImpl

    public interface DocumentRoot

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Document Root'.

The following features are supported:

- `Mixed`
- `XMLNS Prefix Map`
- `XSI Schema Location`
- `Clinical Document`

See Also:
  `CDAR2Package.getDocumentRoot()`

Method Summary
`POCDMT000040ClinicalDocument` | `getClinicalDocument()` Returns the value of the 'Clinical Document' containment reference.
`org.eclipse.emf.ecore.util.FeatureMap` | `getMixed()` Returns the value of the 'Mixed' attribute list.
`org.eclipse.emf.common.util.EMap` | `getXMLNSPrefixMap()` Returns the value of the 'XMLNS Prefix Map' map.
`org.eclipse.emf.common.util.EMap` | `getXSISchemaLocation()` Returns the value of the 'XSI Schema Location' map.
`void` | `setClinicalDocument(POCDMT000040ClinicalDocument value)` Sets the value of the '`Clinical Document`' containment reference.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getMixed

    org.eclipse.emf.ecore.util.FeatureMap getMixed()

  Returns the value of the 'Mixed' attribute list. The list contents are of type `FeatureMap.Entry`.

  If the meaning of the 'Mixed' attribute list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Mixed' attribute list.
  See Also:
    `CDAR2Package.getDocumentRoot_Mixed()`

### getXMLNSPrefixMap

    org.eclipse.emf.common.util.EMap getXMLNSPrefixMap()

  Returns the value of the 'XMLNS Prefix Map' map. The key is of type `String`, and the value is of type `String`,

  If the meaning of the 'XMLNS Prefix Map' map isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'XMLNS Prefix Map' map.
  See Also:
    `CDAR2Package.getDocumentRoot_XMLNSPrefixMap()`

### getXSISchemaLocation

    org.eclipse.emf.common.util.EMap getXSISchemaLocation()

  Returns the value of the 'XSI Schema Location' map. The key is of type `String`, and the value is of type `String`,

  If the meaning of the 'XSI Schema Location' map isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'XSI Schema Location' map.
  See Also:
    `CDAR2Package.getDocumentRoot_XSISchemaLocation()`

### getClinicalDocument

    POCDMT000040ClinicalDocument getClinicalDocument()

  Returns the value of the 'Clinical Document' containment reference.

  If the meaning of the 'Clinical Document' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Clinical Document' containment reference.
  See Also:
    `setClinicalDocument(POCDMT000040ClinicalDocument)`, `CDAR2Package.getDocumentRoot_ClinicalDocument()`

### setClinicalDocument

    void setClinicalDocument(POCDMT000040ClinicalDocument value)

  Sets the value of the '`Clinical Document`' containment reference.

  Parameters:
    `value` - the new value of the 'Clinical Document' containment reference.
  See Also:
    `getClinicalDocument()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD